;(function () {
  'use strict'

  var captureBody = document.querySelector('.doc')
  var captureButton = document.querySelector('.sidebar .capture-btn')
  var captureModal = document.querySelector('.sidebar .capture-modal')
  var closeCaptureModalButton = document.querySelector('.sidebar .capture-modal .capture-modal-content .close')
  var screenshotImg = document.getElementById('screenshot')

  captureButton.addEventListener('click', () => {
    html2canvas(captureBody).then(canvas => {
      screenshotImg.src = canvas.toDataURL()
      captureModal.style.display = 'block'
    })
  })

  closeCaptureModalButton.addEventListener('click', () => {
    captureModal.style.display = 'none'
  })

  window.addEventListener('click', (event) => {
    if (event.target === captureModal) {
      captureModal.style.display = 'none'
    }
  })
})()
